# Class ErrorEventData

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents data for an error event.

    public class ErrorEventData : EventData

Inheritance
  object
  EventData
  ErrorEventData

Inherited Members
  EventData.Type
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### ErrorEventData(Error)

Initializes a new instance of the ErrorEventData class.

    public ErrorEventData(Error error)

#### Parameters

`error` Error

  The error.

## Properties

### Error

Gets the error.

    public Error Error { get; init; }

#### Property Value

Error